Enterprise
Detach a child org from Enterprise
Detaches a child organization from the enterprise. The child organization is not deleted and can continue to work afterwards.
DELETE
/
v1
/
enterprise
/
account
/
{accountId}
Detach a child org from Enterprise
curl --request DELETE \
--url https://api.mezmo.com/v1/enterprise/account/{accountId} \
--header 'enterprise-servicekey: <api-key>'import requests
url = "https://api.mezmo.com/v1/enterprise/account/{accountId}"
headers = {"enterprise-servicekey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'enterprise-servicekey': '<api-key>'}};
fetch('https://api.mezmo.com/v1/enterprise/account/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": "0000000000"
}{
"error": "\"account_id\" is not allowed",
"code": "BadRequest",
"status": "error"
}{
"error": "Invalid Account",
"code": "Conflict",
"status": "error"
}Authorizations
When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key.
Path Parameters
Account number of the organization
Example:
"0000000000"
Response
The child org was removed successfully, a simple status is returned.
Account number of the organization
Example:
"0000000000"
Was this page helpful?
Detach a child org from Enterprise

